Bug 54201 - ide cdrom driver problems with plextor plexwriter16/10/40A
ide cdrom driver problems with plextor plexwriter16/10/40A
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-01 12:41 EDT by quam
Modified: 2007-04-18 12:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-07 14:23:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description quam 2001-10-01 12:41:57 EDT
Description of Problem: ide cdrom driver problems with plextor plexwriter
16/10/40A


Version-Release number of selected component (if applicable):


How Reproducible: install plexwriter 16/10/40A , reboot system, insert a cd
in drive,


Steps to Reproduce:
1. install plexwriter 16/10/40A
2. reboot redhat 7.1
3. insert a cd in drive, mount /mnt/cdrom

Actual Results:When I do:  "mount /mnt/cdrom", the following shows up in
/var/log/messages:


Sep 17 11:55:51 rom kernel: hdb: ATAPI 40X CD-ROM CD-R/RW drive, 2048kB
Cache, DMA
Sep 17 11:55:51 rom kernel: Uniform CD-ROM driver Revision: 3.12
Sep 17 11:55:52 rom kernel: hdc: ATAPI 40X DVD-ROM drive, 256kB Cache,
UDMA(33)
Sep 17 11:55:54 rom insmod: Note: /etc/modules.conf is more recent than
/lib/modules/2.4.2-2smp/modules.dep
Sep 17 11:55:54 rom insmod: Note: /etc/modules.conf is more recent than
/lib/modules/2.4.2-2smp/modules.dep
Sep 17 11:55:54 rom kernel: hdb: status error: status=0x58 { DriveReady
SeekComplete DataRequest }
Sep 17 11:55:54 rom kernel: hdb: drive not ready for command
Sep 17 11:55:59 rom kernel: hdb: status timeout: status=0xd0 { Busy }
Sep 17 11:55:59 rom kernel: hdb: DMA disabled
Sep 17 11:55:59 rom kernel: hdb: drive not ready for command
Sep 17 11:55:59 rom kernel: hdb: ATAPI reset complete
Sep 17 11:56:09 rom kernel: hdb: irq timeout: status=0x80 
Sep 17 11:56:09 rom kernel: hdb: ATAPI reset complete
Sep 17 11:56:24 rom kernel: hdb: irq timeout: status=0x80 { Busy }
Sep 17 11:56:24 rom kernel: end_request: I/O error, dev 03:40 (hdb), sector
236
Sep 17 11:56:24 rom kernel: ISOFS: unable to read i-node block
Sep 17 11:56:24 rom kernel: 
Sep 17 11:56:24 rom kernel: wait_on_irq, CPU 1:
Sep 17 11:56:24 rom kernel: irq:  0 [ 0 0 ]
Sep 17 11:56:24 rom kernel: bh:   1 [ 1 0 ]
Sep 17 11:56:24 rom kernel: Stack dumps:
Sep 17 11:56:24 rom kernel: CPU 0: <unknown> 
Sep 17 11:56:24 rom kernel: CPU 1:e0693ea8 c021c97d 00000001 00000000
ffffffff 00000001 c010a852 c021c992 
Sep 17 11:56:24 rom kernel:        00000000 e20b0bc4 e0693efc c017d654
00000500 00000001 000000bf 00008a33 
Sep 17 11:56:24 rom kernel:        001c0300 01000400 1a131100 170f1200
00000016 e0692000 e0666978 e0666978 
Sep 17 11:56:24 rom kernel: Call Trace: [stext_lock+31725/34152]
[__global_cli+226/368] [stext_lock+31746/34152] [change_termios+36/400]
[set_termios+281/304] [tty_ioctl+866/896] [sys_ioctl+583/672] 
Sep 17 11:56:24 rom kernel: Call Trace: [<c021c97d>] [<c010a852>]
[<c021c992>] [<c017d654>] [<c017d8d9>] [<c017aa72>] [<c014a647>] 
Sep 17 11:56:24 rom kernel:        [system_call+51/56] 
Sep 17 11:56:24 rom kernel:        [<c01091cb>] 
Sep 17 11:56:24 rom kernel: 
Sep 17 11:56:24 rom kernel: hda: status timeout: status=0x80 { Busy }
Sep 17 11:56:24 rom kernel: ide0: unexpected interrupt, status=0x80,
count=1
Sep 17 11:56:24 rom kernel: hda: drive not ready for command
Sep 17 11:56:24 rom kernel: ide0: reset: success
Sep 17 11:57:19 rom kernel: hdb: irq timeout:status=0x80 { Busy }
Sep 17 11:57:19 rom kernel: hdb: ATAPI reset complete
Sep 17 11:57:29 rom kernel: hdb: irq timeout: status=0x80 { Busy }
Sep 17 11:57:29 rom kernel: hdb: ATAPI reset complete
Sep 17 11:57:39 rom kernel: hdb: irq timeout: status=0x80 { Busy }
Sep 17 11:57:39 rom kernel: end_request: I/O error, dev 03:40 (hdb), sector
0
Sep 17 11:57:44 rom kernel: 
Sep 17 11:57:44 rom kernel: wait_on_irq, CPU 1:
Sep 17 11:57:44 rom kernel: irq:  0 [ 0 0 ]
Sep 17 11:57:44 rom kernel: bh:   1 [ 1 0 ]
Sep 17 11:57:44 rom kernel: Stack dumps:
Sep 17 11:57:44 rom kernel: CPU 0: <unknown> 
Sep 17 11:57:44 rom kernel: CPU 1:e0693ea8 c021c97d 00000001 00000000
ffffffff 00000001 c010a852 c021c992 
Sep 17 11:57:44 rom kernel:        00000000 e20b0bc4 e0693efc c017d654
00000500 00000001 000000bf 00008a33 
Sep 17 11:57:44 rom kernel:        001c0300 01000400 1a131100 170f1200
00000016 e0692000 e0666978 e0666978 
Sep 17 11:57:44 rom kernel: Call Trace: [stext_lock+31725/34152]
[__global_cli+226/368] [stext_lock+31746/34152] [change_termios+36/400]
[set_termios+281/304] [tty_ioctl+866/896] [sys_ioctl+583/672] 
Sep 17 11:57:44 rom kernel: Call Trace: [<c021c97d>] [<c010a852>]
[<c021c992>] [<c017d654>] [<c017d8d9>] [<c017aa72>] [<c014a647>] 
Sep 17 11:57:44 rom kernel:        [system_call+51/56] 
Sep 17 11:57:44 rom kernel:        [<c01091cb>] 
Sep 17 11:57:44 rom kernel: 
Sep 17 11:57:44 rom kernel: hda: status timeout: status=0x80 { Busy }
Sep 17 11:57:44 rom kernel: ide0: unexpected interrupt, status=0xd0,
count=2
Sep 17 11:57:44 rom kernel: hda: drive not ready for command
Sep 17 11:57:44 rom kernel: ide0: reset: success




Expected Results: I expected to be able to read the data on the cd.


Additional Information:
	
Hardware is a dual Athlon AMD 760MP Motherboard from aslab.com
Comment 1 Arjan van de Ven 2001-10-01 12:43:59 EDT
Does the same work if you pass "ide=nodma" on the kernel commandline (eg on the
lilo prompt ?)
Comment 2 Alan Cox 2003-06-07 14:23:13 EDT
CLosing: no reply in a year. If this still occurs (or someone else finds this
bug and has the same
problem - please reopen it)

Note You need to log in before you can comment on or make changes to this bug.